pysrc = files(
    '__init__.py',
    'passgeny.py',
    'bhash.py',
    'phogen.py')

phogen_map_py = custom_target(
    'phogen_map.py',
    input : PHOGEN_WORD_LIST,
    output : 'phogen_map.py',
    install: true,
    install_dir: pyinst.get_install_dir() / meson.project_name(),
    build_by_default: true,
    command : [PHOGEN_MAP_EXE, '--input=@INPUT@', '--python=@OUTPUT@'])

custom_target(
    'python_passgeny',
    input: pysrc,
    output: 'passgeny',
    command: ['cp', '@INPUT@', '@OUTDIR@'],
    build_by_default: true)

pyinst.install_sources(pysrc, subdir: meson.project_name())

